<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwInstallation: JCOP FW Component Installation Tool Documentation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwInstallation
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">JCOP FW Component Installation Tool Documentation </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="introduction"></a>
Introduction</h1>
<p>The Component Installation Tool of the JCOP Framework manages the installation of software component in PVSS-based applications. The tool can be used interactively by developers or in a centralized manner by the DCS teams of the LHC experiments. In the later approach the Component Installation Tool makes usage of the so-called System Configuration Database to store the current configuration of the projects and to handle installation/uninstallation/reinstallations of components triggered remotely and to manage centrally the configuration of the projects, e.g. remote definition of project paths and of the connections between the distributed peers in the system.</p>
<p>The tool distinguishes two possible management modes of the projects:</p>
<ul>
<li>Local: The list of components installed in the project can only be managed interactively by opening the main panel of the Component Installation Tool.</li>
<li>Central: The Db-Agent of the Component Installation Tool executes installation/uninstallation/reinstallation of components triggered remotely through the System Configuration DB.</li>
</ul>
<p>The architecture of the Component Installation Tool is shown in Figure 1. </p>
<div class="image">
<img src="ComponentInstallationToolArchitecture.jpg" alt="ComponentInstallationToolArchitecture.jpg"/>
<div class="caption">
Figure 1: Architecture of the Component Installation Tool</div></div>
 <h1><a class="anchor" id="dev_info"></a>
Information for Developers</h1>
<ul>
<li><a class="el" href="component_xml_tags.html">Supported XML tags in Components description files</a></li>
<li><a class="el" href="installation_flow.html">Component Installation Tool Flow Diagram</a></li>
</ul>
<h1><a class="anchor" id="references"></a>
References</h1>
<ol type="1">
<li>F. Varela, <a href="http://accelconf.web.cern.ch/accelconf/ica07/PAPERS/RPPA05.PDF">"Software management of the LHC Detector Control Systems"</a>, ICALEPCS 2007, Knoxville, Tennessee, USA. </li>
</ol>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
